Name:           ghost-diagrams
Version:        0.8
Release:        3%{?dist}
Summary:        A program that generates patterns from tiles

Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://logarithmic.net/pfh/ghost-diagrams
Source0:        http://logarithmic.net/pfh-files/ghost-diagrams/%{name}-%{version}.py
Source1:        ghost-diagrams.png
Patch0:         ghost-diagrams-0.8-exceptions.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  desktop-file-utils
Requires:       pygtk2

%description
Ghost Diagrams is a program that takes sets of tiles and tries to find
patterns into which they may be formed. The patterns it finds when given
randomly chosen tiles are often surprising.

%prep
%setup -q -T -c
cp -p %{SOURCE0} .
%patch0 -p 0 -b .exceptions

%build

%install
rm -rf $RPM_BUILD_ROOT
install -p -m 0644 -D %{name}-%{version}.py $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}.py
sed -i -e 1d $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}.py
install -p -m 0644 -D %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cat << EOF > $RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/sh
exec python %{_datadir}/%{name}/%{name}.py
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat << EOF > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Ghost Diagrams
GenericName=Ghost Diagrams
Comment=Generate patterns from tiles
StartupNotify=true
Exec=%{_bindir}/%{name}
Icon=ghost-diagrams
Type=Application
Terminal=false
Categories=Graphics;GTK;
EOF
desktop-file-install --vendor=fedora \
  --delete-original \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(0755, root, root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.*

%changelog
* Sat Feb  2 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.8-3
- Converted string exceptions to object exceptions (#431338)

* Fri Feb  1 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.8-2
- Added an icon

* Thu Jan 31 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.8-1
- Initial RPM release
